## wxClientDC

A wxClientDC must be constructed if an application wishes to paint on the client area of a window from outside an OnPaint event. This should normally be constructed as a temporary stack object; don't store a wxClientDC object.

To draw on a window from within OnPaint, construct a wxPaintDC object.

To draw on the whole window including decorations, construct a wxWindowDC object (Windows only).

Derived from

wxWindowDC
wxDC wxObject

Include files

<wx/dcclient.h>

See also

wxDC, wxMemoryDC, wxPaintDC, wxWindowDC, wxScreenDC

Members

wxClientDC::wxClientDC

### wxClientDC::wxClientDC

wxClientDC(wxWindow* window)

Constructor. Pass a pointer to the window on which you wish to paint.